using System;
using System.Collections.Generic;
using System.Text;
using System.Net;
using System.IO;
using System.Windows.Documents;
using System.Xml;
using System.Windows.Markup;

namespace HtmlConversion
{
    public class ConversionUtility
    {
        public static string ConvertUrlToHtmlText(string url)
        {
            try
            {
                HttpWebRequest request = HttpWebRequest.Create(new Uri(url)) as HttpWebRequest;
                HttpWebResponse response = request.GetResponse() as HttpWebResponse;
                StreamReader reader = new StreamReader(response.GetResponseStream());
                string convertedText = reader.ReadToEnd();
                return convertedText;
            }
            catch (WebException)
            {
                return null;
            }
            catch (Exception)
            {
                return null;
            }
        }

        public static FlowDocument ConvertTextToFlowDocument(string text)
        {
            try
            {
                string xaml = HTMLConverter.HtmlToXamlConverter.ConvertHtmlToXaml(text, true);
                return XamlReader.Load(new XmlTextReader(new StringReader(xaml))) as FlowDocument;
            }
            catch (Exception)
            {
                return null;
            }
        }
    }
}
